Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

spec_id
string<uuid>
required

UUID of the spec

Query Parameters

include_versions
boolean
default:false

Include all previous spec versions in the response

Response

Spec details

id
string<uuid>
read-only

Unique identifier for the spec

name
string

Spec name

description
string

Description of the spec's purpose (optional, for data organization purposes only)

status
enum<string>

Current status of the spec

Available options:
PROCESSING,
SUCCEEDED,
FAILED
created_at
string<date-time>
read-only

Timestamp when the spec was created

updated_at
string<date-time>
read-only

Timestamp when the spec was last modified

dataset_id
string<uuid> | null
read-only

ID of the seed dataset. Null for seedless specs.

dataset_name
string | null
read-only

Name of the seed dataset. Null for seedless specs.

dataset_type
enum<string>
read-only

Type of dataset. MULTI_FILE for seedless specs.

Available options:
SINGLE_FILE,
MULTI_FILE,
MULTI_FOLDER
created_by_email
string
read-only

Email of the user who created this spec

runtime_params
object

Parameters used during spec generation (model name, distribution settings, etc.)

versions
object[]
read-only

All versions of this spec. Only included when include_versions=true. Empty when status is PROCESSING or FAILED.

content_yaml
string | null
read-only

The YAML content from the latest version of this spec. Null when status is PROCESSING or FAILED.

error
string | null
read-only

Error message when status is FAILED. Null otherwise.